upstream: Add a function to skip remaining tests.

Many tests skip tests for various reasons but not in a consistent way and
don't always clean up, so add that and switch the tests that do that over.

OpenBSD-Regress-ID: 72d2ec90a3ee8849486956a808811734281af735
This commit is contained in:
dtucker@openbsd.org 2021-09-01 00:50:27 +00:00 committed by Darren Tucker
parent d486845c07
commit 8b02ef0f28
8 changed files with 27 additions and 26 deletions

View File

@ -1,4 +1,4 @@
# $OpenBSD: agent-getpeereid.sh,v 1.11 2019/11/26 23:43:10 djm Exp $
# $OpenBSD: agent-getpeereid.sh,v 1.13 2021/09/01 00:50:27 dtucker Exp $
# Placed in the Public Domain.
tid="disallow agent attach from other uid"
@ -10,19 +10,15 @@ SSH_AUTH_SOCK=/nonexistent
if config_defined HAVE_GETPEEREID HAVE_GETPEERUCRED HAVE_SO_PEERCRED ; then
:
else
echo "skipped (not supported on this platform)"
exit 0
skip "skipped (not supported on this platform)"
fi
case "x$SUDO" in
xsudo) sudo=1;;
xdoas|xdoas\ *) ;;
x)
echo "need SUDO to switch to uid $UNPRIV"
echo SKIPPED
exit 0 ;;
skip "need SUDO to switch to uid $UNPRIV" ;;
*)
echo "unsupported $SUDO - "doas" and "sudo" are allowed"
exit 0 ;;
skip "unsupported $SUDO - "doas" and "sudo" are allowed" ;;
esac
trace "start agent"

View File

@ -1,4 +1,4 @@
# $OpenBSD: keys-command.sh,v 1.6 2019/07/25 08:48:11 dtucker Exp $
# $OpenBSD: keys-command.sh,v 1.7 2021/09/01 00:50:27 dtucker Exp $
# Placed in the Public Domain.
tid="authorized keys from command"
@ -77,5 +77,5 @@ if [ -x $KEY_COMMAND ]; then
fail "connect failed"
fi
else
echo "SKIPPED: $KEY_COMMAND not executable (/var/run mounted noexec?)"
skip "$KEY_COMMAND not executable (/var/run mounted noexec?)"
fi

View File

@ -1,10 +1,10 @@
# $OpenBSD: putty-ciphers.sh,v 1.9 2021/08/31 07:13:59 dtucker Exp $
# $OpenBSD: putty-ciphers.sh,v 1.10 2021/09/01 00:50:27 dtucker Exp $
# Placed in the Public Domain.
tid="putty ciphers"
if test "x$REGRESS_INTEROP_PUTTY" != "xyes" ; then
fatal "putty interop tests not enabled"
skip "putty interop tests not enabled"
fi
# Re-enable ssh-rsa on older PuTTY versions.

View File

@ -1,10 +1,10 @@
# $OpenBSD: putty-kex.sh,v 1.7 2021/08/31 07:13:59 dtucker Exp $
# $OpenBSD: putty-kex.sh,v 1.8 2021/09/01 00:50:27 dtucker Exp $
# Placed in the Public Domain.
tid="putty KEX"
if test "x$REGRESS_INTEROP_PUTTY" != "xyes" ; then
fatal "putty interop tests not enabled"
skip "putty interop tests not enabled"
fi
# Re-enable ssh-rsa on older PuTTY versions.

View File

@ -1,10 +1,10 @@
# $OpenBSD: putty-transfer.sh,v 1.9 2021/08/31 07:13:59 dtucker Exp $
# $OpenBSD: putty-transfer.sh,v 1.10 2021/09/01 00:50:27 dtucker Exp $
# Placed in the Public Domain.
tid="putty transfer data"
if test "x$REGRESS_INTEROP_PUTTY" != "xyes" ; then
fatal "putty interop tests not enabled"
skip "putty interop tests not enabled"
fi
# Re-enable ssh-rsa on older PuTTY versions.

View File

@ -1,4 +1,4 @@
# $OpenBSD: sftp-chroot.sh,v 1.7 2018/11/22 08:48:32 dtucker Exp $
# $OpenBSD: sftp-chroot.sh,v 1.8 2021/09/01 00:50:27 dtucker Exp $
# Placed in the Public Domain.
tid="sftp in chroot"
@ -9,14 +9,11 @@ PRIVDATA=${CHROOT}/${FILENAME}
trap "${SUDO} rm -f ${PRIVDATA}" 0
if [ -z "$SUDO" -a ! -w /var/run ]; then
echo "need SUDO to create file in /var/run, test won't work without"
echo SKIPPED
exit 0
skip "need SUDO to create file in /var/run, test won't work without"
fi
if ! $OBJ/check-perm -m chroot "$CHROOT" ; then
echo "skipped: $CHROOT is unsuitable as ChrootDirectory"
exit 0
skip "$CHROOT is unsuitable as ChrootDirectory"
fi
$SUDO sh -c "echo mekmitastdigoat > $PRIVDATA" || \

View File

@ -1,4 +1,4 @@
# $OpenBSD: sshfp-connect.sh,v 1.3 2021/08/31 01:25:27 dtucker Exp $
# $OpenBSD: sshfp-connect.sh,v 1.4 2021/09/01 00:50:27 dtucker Exp $
# Placed in the Public Domain.
# This test requires external setup and thus is skipped unless
@ -25,9 +25,9 @@
tid="sshfp connect"
if ! $SSH -Q key-plain | grep ssh-rsa >/dev/null; then
echo SKIPPED: RSA keys not supported.
skip "RSA keys not supported."
elif [ -z "${TEST_SSH_SSHFP_DOMAIN}" ]; then
echo SKIPPED: TEST_SSH_SSHFP_DOMAIN not set.
skip "TEST_SSH_SSHFP_DOMAIN not set."
else
# Set RSA host key to match fingerprints above.
mv $OBJ/sshd_proxy $OBJ/sshd_proxy.orig

View File

@ -1,4 +1,4 @@
# $OpenBSD: test-exec.sh,v 1.86 2021/08/08 08:27:28 dtucker Exp $
# $OpenBSD: test-exec.sh,v 1.87 2021/09/01 00:50:27 dtucker Exp $
# Placed in the Public Domain.
#SUDO=sudo
@ -462,6 +462,14 @@ fatal ()
exit $RESULT
}
# Skip remaining tests in script.
skip ()
{
echo "SKIPPED: $@"
cleanup
exit $RESULT
}
RESULT=0
PIDFILE=$OBJ/pidfile